#Launching r.avaflow 2.4 computational experiments for flows of various compositions down a computer-generated mound

cellsize="20"

g.region -d
g.region -a res="$cellsize"

r.mapcalc --overwrite "mnd_elev0 = 200.0*(1+cos(pow(pow(x()-2500,2)+pow(y()-2500,2),0.5)*180/2500))" #elevation of outer slopes
r.mapcalc --overwrite "mnd_elevr1 = 0*pow(pow(2500,2)-pow(x()-2500,2)-pow(y()-2500,2),0.5)" #release 1
r.mapcalc --overwrite "mnd_elevr2 = 0*pow(pow(3500,2)-pow(x()-2500,2)-pow(y()-2500,2),0.5)" #release 1
r.mapcalc --overwrite "mnd_elev = if(isnull(mnd_elevr1)==0,mnd_elev0,if(isnull(mnd_elevr2)==0,0,1/0))" #managing bottom and undefined raster cells

r.mapcalc --overwrite "mnd_hreli1 = pow(pow(100,2)-pow(x()-1793,2)-pow(y()-1793,2),0.5)" #release 1
r.mapcalc --overwrite "mnd_hreli1 = if(isnull(mnd_hreli1)==1,0,mnd_hreli1)" #setting undefined raster cells to zero

r.mapcalc --overwrite "mnd_hreli2 = pow(pow(100,2)-pow(x()-3207,2)-pow(y()-3207,2),0.5)" #release 2
r.mapcalc --overwrite "mnd_hreli2 = if(isnull(mnd_hreli2)==1,0,mnd_hreli2)" #setting undefined raster cells to zero

r.mapcalc --overwrite "mnd_hreli3 = pow(pow(100,2)-pow(x()-3207,2)-pow(y()-1793,2),0.5)" #release 3
r.mapcalc --overwrite "mnd_hreli3 = if(isnull(mnd_hreli3)==1,0,mnd_hreli3)" #setting undefined raster cells to zero

r.mapcalc --overwrite "mnd_hreli4 = pow(pow(100,2)-pow(x()-1793,2)-pow(y()-3207,2),0.5)" #release 4
r.mapcalc --overwrite "mnd_hreli4 = if(isnull(mnd_hreli4)==1,0,mnd_hreli4)" #setting undefined raster cells to zero

r.mapcalc --overwrite "mnd_hreli5 = pow(pow(100,2)-pow(x()-2500,2)-pow(y()-1500,2),0.5)" #release 5
r.mapcalc --overwrite "mnd_hreli5 = if(isnull(mnd_hreli5)==1,0,mnd_hreli5)" #setting undefined raster cells to zero

r.mapcalc --overwrite "mnd_hreli6 = pow(pow(100,2)-pow(x()-2500,2)-pow(y()-3500,2),0.5)" #release 6
r.mapcalc --overwrite "mnd_hreli6 = if(isnull(mnd_hreli6)==1,0,mnd_hreli6)" #setting undefined raster cells to zero

r.mapcalc --overwrite "mnd_hreli7 = pow(pow(100,2)-pow(x()-3500,2)-pow(y()-2500,2),0.5)" #release 7
r.mapcalc --overwrite "mnd_hreli7 = if(isnull(mnd_hreli7)==1,0,mnd_hreli7)" #setting undefined raster cells to zero

r.mapcalc --overwrite "mnd_hreli8 = pow(pow(100,2)-pow(x()-1500,2)-pow(y()-2500,2),0.5)" #release 8
r.mapcalc --overwrite "mnd_hreli8 = if(isnull(mnd_hreli8)==1,0,mnd_hreli8)" #setting undefined raster cells to zero

r.mapcalc --overwrite "mnd_hrel1 = 0.3*(mnd_hreli1+0.5*mnd_hreli2+0.5*mnd_hreli6+0.33333*mnd_hreli8+0.9*mnd_hreli4)" #P1 release height
r.mapcalc --overwrite "mnd_hrel2 = 0.3*(mnd_hreli5+0.5*mnd_hreli6+0.5*mnd_hreli7+0.33333*mnd_hreli8+0.0*mnd_hreli4)" #P2 release height
r.mapcalc --overwrite "mnd_hrel3 = 0.3*(mnd_hreli3+0.5*mnd_hreli2+0.5*mnd_hreli7+0.33333*mnd_hreli8+0.1*mnd_hreli4)" #P3 release height

r.avaflow prefix=mnd_exp1 cellsize="$cellsize" aoicoords=6000,-1000,-1000,6000 phases=m elevation=mnd_elev hrelease1=mnd_hrel1 hrelease2=mnd_hrel2 hrelease3=mnd_hrel3 density=2700,1800,1000 friction=35,15,0,0,0,0,0.0 viscosity=-9999,-9999,2.5,0,-3,0 thresholds=0.2,10000,10000,0.001 controls=0,0,0,0,0,0 time=10,120 cfl=0.25,0.001 #running r.avaflow

g.region -d
